/*
ARDUINO_NANO
PCB_ver
*/


// 디지털 핀 설계
const int A_R_Pin = 3;      // the number of the MOTER pin
const int A_L_Pin = 4;      // the number of the MOTER pin
const int B_R_Pin = 5;      // the number of the MOTER pin
const int B_L_Pin = 6;      // the number of the MOTER pin


//-----
// 부팅시 항상 실행
void setup()
{
  // initialize serial communication at 9600 bits per second:
  Serial.begin(9600);

  // initialize digital pin MOTER as an output.
  pinMode(A_R_Pin, OUTPUT);
  pinMode(A_L_Pin, OUTPUT);
  pinMode(B_R_Pin, OUTPUT);
  pinMode(B_L_Pin, OUTPUT);  
}


//-----
// 메인
void loop()
{
  // Moter_control Pwm:
  int A_Front_Pwm_control = 0;
  int A_Back_Pwm_control = 0;
  int B_Front_Pwm_control = 0;
  int B_Back_Pwm_control = 0;
  
  Serial.print(A_Front_Pwm_control); Serial.print(" "); Serial.println(A_Back_Pwm_control);

  analogWrite(A_R_Pin, A_Front_Pwm_control);
  analogWrite(A_L_Pin, A_Back_Pwm_control);

  Serial.print(B_Front_Pwm_control); Serial.print(" "); Serial.println(B_Back_Pwm_control);

  analogWrite(B_R_Pin, B_Front_Pwm_control);
  analogWrite(B_L_Pin, B_Back_Pwm_control);
}
// 메인 끝
//-----
