/*
ARDUINO_NANO
PCB_ver
*/


// 디지털 핀 설계
const int ledPin = 13;      // the number of the LED pin

// 아날로그 핀으로 푸쉬스위치 입력을 받음
const char Button_Pin = A0;      // the number of the Button_Pin

// 버튼관련 변수 선언
int buttonState = 0;         // variable for reading the pushbutton status
int buttonState_cnt = 0;
int led_blink_speed = 50;

//-----
// 부팅시 항상 실행
void setup()
{
  // initialize serial communication at 9600 bits per second:
  Serial.begin(9600);

  // initialize digital pin LED_BUILTIN as an output.
  pinMode(ledPin, OUTPUT);

  // led 모드선택(최초 부팅시)
  blink_fn(buttonState_cnt);    
}

//-----
// 메인
void loop()
{
  // 아날로그 입력값이 500이상일때 :: 10키로옴 저항사용시
  if (analogRead(Button_Pin) > 500)
  {
    // buttonState_cnt += 1:
    buttonState_cnt += 1;
    // 모드 선택시
    
    digitalWrite(ledPin, LOW);
    // 모드스위치 누르고 기다리는 시간
    delay(500);

    // 모드 처음부터 다시 시작
    if (buttonState_cnt == 4)
    {
      buttonState_cnt = 0;
    }
    // print out the value you read:
    Serial.println(buttonState_cnt);
    // led 모드선택
    blink_fn(buttonState_cnt);
  }
  // mode setting:
  mode_setting_fn(buttonState_cnt);
}
// 메인 끝
//-----

//-----
// 모드 셋팅 함수
// mode_setting_fn
void mode_setting_fn(int buttonState_cnt)
{
  // mode setting
  if (buttonState_cnt == 0)
  {

  }
  else if (buttonState_cnt == 1)
  {

  }
  else if (buttonState_cnt == 2)
  {

  }
  else if (buttonState_cnt == 3)
  {

  }
}

//-----
// blink_fn
void blink_fn(int buttonState_cnt)
{
  for (int i = 0; i < buttonState_cnt; i++)
  {
    digitalWrite(ledPin, HIGH);
    delay(led_blink_speed);   
    digitalWrite(ledPin, LOW);
    delay(led_blink_speed);   
  }
  digitalWrite(ledPin, HIGH);
}
