/*
ARDUINO_NANO
PCB_ver
*/


// 디지털 핀 설계
const int ledPin = 13;      // the number of the LED pin

// 아날로그 핀으로 푸쉬스위치 입력을 받음
const char Button_Pin = A0;      // the number of the Button_Pin

// 버튼관련 변수 선언
int buttonState = 0;         // variable for reading the pushbutton status

//-----
// 부팅시 항상 실행
void setup()
{
  // initialize serial communication at 9600 bits per second:
  Serial.begin(9600);

  // initialize digital pin LED_BUILTIN as an output.
  pinMode(ledPin, OUTPUT);
}

//-----
// 메인
void loop()
{
  // 아날로그 입력값이 500이상일때 :: 10키로옴 저항사용시
  if (analogRead(Button_Pin) > 500)
  {
    // 모드스위치 누르고 기다리는 시간
    delay(500);

    if (buttonState == 0)
    {
      buttonState = 1;
   }
    else if (buttonState == 1)
    {
      buttonState = 0;
    }   
    blink_fn(buttonState);
  }
}
// 메인 끝
//-----

//-----
// blink_fn
void blink_fn(int buttonState)
{
    if (buttonState == 0)
    {
      digitalWrite(ledPin, LOW);
      Serial.println("LED OFF");
    }
    else if (buttonState == 1)
    {
      digitalWrite(ledPin, HIGH);
      Serial.println("LED ON");
    }   
}
